Module com.io7m.jtensors.storage.api
Package com.io7m.jtensors.storage.api.parameterized.vectors

## Interface PVectorStorageIntegral3Type<T>

- Type Parameters:
    `T` - A phantom type parameter
  All Superinterfaces:
    `PVectorReadable2LType<T>`, `PVectorReadable3LType<T>`, `PVectorStorageIntegral2Type<T>`, `VectorReadable2LType`, `VectorReadable3LType`, `VectorStorageIntegral2Type`, `VectorStorageIntegral3Type`, `VectorStorageType`
  All Known Subinterfaces:
    `PVectorByteBufferedIntegral3Type<T>`, `PVectorByteBufferedIntegral4Type<T>`, `PVectorStorageIntegral4Type<T>`
  All Known Implementing Classes:
    `PVectorByteBufferedIntegral3s16`, `PVectorByteBufferedIntegral3s32`, `PVectorByteBufferedIntegral3s64`, `PVectorByteBufferedIntegral3s8`, `PVectorByteBufferedIntegral4s16`, `PVectorByteBufferedIntegral4s32`, `PVectorByteBufferedIntegral4s64`, `PVectorByteBufferedIntegral4s8`, `PVectorMutable3L`, `PVectorMutable4L`

      public interface PVectorStorageIntegral3Type<T>
      extends PVectorReadable3LType<T>, PVectorStorageIntegral2Type<T>, VectorStorageIntegral3Type

  The type of mutable 3D integral number vectors.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `setPVector3I​(PVector3I<T> v)` | Set the components from the given vector.
    `default void` | `setPVector3L​(PVector3L<T> v)` | Set the components from the given vector.

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.parameterized.vectors.PVectorStorageIntegral2Type

      `setPVector2I, setPVector2L`

    - ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2LType

      `x, y`

    - ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable3LType

      `z`

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageIntegral2Type

      `setVector2I, setVector2L, setX, setXY, setY`

    - ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageIntegral3Type

      `setVector3I, setVector3L, setXYZ, setZ`

- - ### Method Detail

    - #### setPVector3L

          default void setPVector3L​(PVector3L<T> v)

      Set the components from the given vector.
      Parameters:
        `v` - The source vector

    - #### setPVector3I

          default void setPVector3I​(PVector3I<T> v)

      Set the components from the given vector.
      Parameters:
        `v` - The source vector

Copyright © 2017 <code@io7m.com> http://io7m.com